#define NDIMS 3

typedef struct {
	double m;				/* Kilograms */
	double x[NDIMS];			/* meters */
	double p[NDIMS];			/* momentum (kg m/s) */
	double xt[NDIMS];			/* x,y at time 1/2 way through next interval*/
	double f[NDIMS];			/* x and y force	*/
	Point pt;				/* previous screen position */
} PARTICLE;

enum {dot = 1, dottrain, linetrail, tail};